Package org.drinkless.tdlib

# Class TdApi.MessageGameScore

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.MessageContent
org.drinkless.tdlib.TdApi.MessageGameScore

Enclosing class:
  `TdApi`

public static class TdApi.MessageGameScore extends TdApi.MessageContent
A new high score was achieved in a game.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.MessageContent

  `TdApi.MessageContent.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `long`
  `gameId`
  Identifier of the game; may be different from the games presented in the message with the game.
  `long`
  `gameMessageId`
  Identifier of the message with the game, can be an identifier of a deleted message.
  `int`
  `score`
  New score.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MessageGameScore()`
  A new high score was achieved in a game.
  `MessageGameScore(long gameMessageId, long gameId, int score)`
  A new high score was achieved in a game.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### gameMessageId

    public long gameMessageId
    Identifier of the message with the game, can be an identifier of a deleted message.

  - ### gameId

    public long gameId
    Identifier of the game; may be different from the games presented in the message with the game.

  - ### score

    public int score
    New score.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### MessageGameScore

    public MessageGameScore()
    A new high score was achieved in a game.

  - ### MessageGameScore

    public MessageGameScore(long gameMessageId, long gameId, int score)
    A new high score was achieved in a game.
    Parameters:
      `gameMessageId` - Identifier of the message with the game, can be an identifier of a deleted message.
      `gameId` - Identifier of the game; may be different from the games presented in the message with the game.
      `score` - New score.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.MessageContent`
    Returns:
      this.CONSTRUCTOR